#!/bin/sh

# 1622, Thu 3 Jun 10 (NZST)
#
# make-dist.sh: Make owtmon distribution tarball
#
# iatmon/owtmon: One-Way Traffic Monitor testbed
# Copyright (C) 2009-2011 by Nevil Brownlee, U Auckland | CAIDA | WAND
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>


VER=`./owt-version.rb`
echo "Making tarball for $VER  ..."

OLD=`echo ${PWD##*/}`  # Current directory name
N="iatmon-${VER}"  # New directory name

cd ..
if [ $OLD != $N ]
then
  mv $OLD $N
fi

tar zcf $N.tgz \
   $N/LICENSE $N/README $N/INSTALL \
   $N/configure $N/*.ac $N/*.hin $N/Makefile \
      $N/ruby-186-test.rb $N/ruby-IPprefix-test.rb $N/owt-version.rb \
      $N/install-sh $N/config.guess $N/config.sub \
      $N/make-dist.sh  $N/version.history $N/doc \
   $N/owt-c/*.h $N/owt-c/*.c $N/owt-c/*.rb\
   $N/mk-owt-config.rb $N/owt-config/*.rb \
   $N/owt-rb/*.rb $N/iatmon.rb $N/src_split.rb \
   $N/mk-hourly-sum2.rb $N/iatmon-cron*

if [ $OLD != $N ]
then
mv $N $OLD
fi
cd $OLD
